Skip to main content
`Ctrl`+`K`

# DMPlexTransformRegisterAll

Registers all of the transform components in the `DM` package.

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformRegisterAll(void)

Not Collective

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexTransformType`, `DMRegisterAll()`, `DMPlexTransformRegisterDestroy()`

## Level

advanced

## Location

src/dm/impls/plex/transform/interface/plextransform.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages